"""products

Revision ID: a5cd714d37c4
Revises: 85fcaeb0bf4c
Create Date: 2022-06-27 12:14:01.176957

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a5cd714d37c4'
down_revision = '85fcaeb0bf4c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('tm_product',
    sa.Column('id', sa.BigInteger(), sa.Identity(always=False, start=1, cycle=True), autoincrement=True, nullable=False),
    sa.Column('register_date', sa.TIMESTAMP(), nullable=False),
    sa.Column('modified_date', sa.TIMESTAMP(), nullable=False),
    sa.Column('visible', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('name', sa.String(length=96), nullable=False),
    sa.Column('price', sa.Numeric(precision=12, scale=2, asdecimal=False), nullable=True),
    sa.PrimaryKeyConstraint('id'),
    comment='Table of products'
    )
    op.create_index(op.f('ix_tm_product_name'), 'tm_product', ['name'], unique=False)
    op.create_table('tm_product_metrics',
    sa.Column('id', sa.BigInteger(), sa.Identity(always=False, start=1, cycle=True), autoincrement=True, nullable=False),
    sa.Column('register_date', sa.TIMESTAMP(), nullable=False),
    sa.Column('modified_date', sa.TIMESTAMP(), nullable=False),
    sa.Column('visible', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('active', sa.Boolean(), server_default='true', nullable=False),
    sa.Column('id_product', sa.Integer(), nullable=False),
    sa.Column('id_user', sa.Integer(), nullable=True),
    sa.Column('times_queried', sa.Integer(), nullable=False),
    sa.ForeignKeyConstraint(['id_product'], ['tm_product.id'], ),
    sa.ForeignKeyConstraint(['id_user'], ['tm_usuario.id'], ),
    sa.PrimaryKeyConstraint('id'),
    comment='Table of products metrics'
    )
    op.create_index(op.f('ix_tm_product_metrics_id_product'), 'tm_product_metrics', ['id_product'], unique=False)
    op.create_index(op.f('ix_tm_product_metrics_id_user'), 'tm_product_metrics', ['id_user'], unique=False)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_index(op.f('ix_tm_product_metrics_id_user'), table_name='tm_product_metrics')
    op.drop_index(op.f('ix_tm_product_metrics_id_product'), table_name='tm_product_metrics')
    op.drop_table('tm_product_metrics')
    op.drop_index(op.f('ix_tm_product_name'), table_name='tm_product')
    op.drop_table('tm_product')
    # ### end Alembic commands ###
